<script lang="ts">
import { defineComponent } from 'vue';
import JDraggable from '../JDraggable.vue';

export default defineComponent({
  components: {
    JDraggable,
  },
});
</script>

<template>
  <JDraggable v-slot="slotProps">
    <div v-bind="slotProps" class="container">
      <h4>Dragable element</h4>
    </div>
  </JDraggable>
</template>

<style scoped lang="scss">
.container {
  width: 250px;
  cursor: grab;
  border: 1px black solid;
}
</style>
